require 'test_helper'

class V1::ComplaintControllerTest < ActionController::TestCase
  tests V1::ComplaintsController
  include Devise::TestHelpers

  test 'should get index' do
    skip('Unsolved issue: ArgumentError: wrong number of arguments (2 for 0)')
  end

  test 'should create complaint and return :created code' do
    jack = users(:jack)

    auth_request jack

    post :create, complaint: {
                        user_id: jack.id,
                        description: 'description of complaint',
                        complaintable_id: learning_objects(:one).id,
                        complaint_reason_id: complaint_reasons(:reason_1).id,
                        complaintable_type: 'LearningObject'
                        }
    assert_response :created
  end

  test 'should unprocessable_entity complaint and return :created code' do
    jack = users(:jack)

    auth_request jack

    post :create, complaint: {
                        user_id: nil,
                        description: 'description of complaint',
                        complaintable_id: learning_objects(:one).id,
                        complaint_reason_id: complaint_reasons(:reason_1).id,
                        complaintable_type: 'LearningObject'
                        }
    assert_response :unprocessable_entity
  end

end
